Skip to main content

Atrium API

Identify

The identify endpoint begins an AOI process for an already-existing member. It gathers information about account owners. Partners may optionally choose to include transaction data in this request, potentially avoiding a separate aggregate member request.

The identification workflow is similar to standard aggregation: Start the identification, poll the connection status, answer MFA if necessary by using the list member MFA challenges endpoint and the resume from MFA endpoint, poll the status again, then read the member's account numbers. For more information on this, please see our Atrium developer guide.

Errors

  1. If an identification job is already running, a 202 Accepted status will be returned.
  2. If an institution does not support identification, a 400 Bad Request error will be returned.
  3. If identification is not enabled, a 403 Forbidden status will be returned. If you see 403 Forbidden but the member's institution nevertheless shows that identification is enabled, please contact support by submitting a ticket.
  4. If another aggregation-type process is already running — like standard aggregation or extended transaction history — a 409 Conflict will be returned.
POST
/users/{user_guid}/members/{member_guid}/identify

Request Body

FieldRequiredType

include_transactions

When set to true, the AOI will gather transaction data along with account owner data. Defaults to false.

Optional
Boolean

Request sample

Language:sh

_10
curl -i -X POST 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/identify' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'Content-Type: application/json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_16
{
_16
"member": {
_16
"aggregated_at": "2018-06-25T20:04:19Z",
_16
"connection_status": "CONNECTED",
_16
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_16
"identifier": "mxbank_ds",
_16
"institution_code": "mxbank",
_16
"is_being_aggregated": true,
_16
"is_oauth": false,
_16
"metadata": null,
_16
"name": "MX Bank",
_16
"status": "INITIATED",
_16
"successfully_aggregated_at": "2018-06-25T19:45:01Z",
_16
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_16
}
_16
}